--- old/usr/src/Makefile.master	Tue Sep 11 12:46:15 2012
+++ new/usr/src/Makefile.master	Tue Sep 11 12:46:14 2012
@@ -200,9 +200,8 @@
 XREF=		$(ONBLD_TOOLS)/bin/xref
 FIND=		/usr/bin/find
 PERL=		/usr/bin/perl
-PYTHON_24=	/usr/bin/python2.4
 PYTHON_26=	/usr/bin/python2.6
-PYTHON=		$(PYTHON_24)
+PYTHON=		$(PYTHON_26)
 SORT=		/usr/bin/sort
 TOUCH=		/usr/bin/touch
 WC=		/usr/bin/wc
--- old/usr/src/pkg/manifests/developer-build-onbld.mf	Tue Sep 11 12:46:15 2012
+++ new/usr/src/pkg/manifests/developer-build-onbld.mf	Tue Sep 11 12:46:15 2012
@@ -22,6 +22,7 @@
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright 2010, Richard Lowe
+# Copyright 2012, Piotr Jasiukajtis
 #
 
 set name=pkg.fmri value=pkg:/developer/build/onbld@$(PKGVERS)
@@ -47,11 +48,6 @@
 dir path=opt/onbld/lib
 dir path=opt/onbld/lib/$(ARCH)
 dir path=opt/onbld/lib/perl
-dir path=opt/onbld/lib/python2.4
-dir path=opt/onbld/lib/python2.4/onbld
-dir path=opt/onbld/lib/python2.4/onbld/Checks
-dir path=opt/onbld/lib/python2.4/onbld/Scm
-dir path=opt/onbld/lib/python2.4/onbld/hgext
 dir path=opt/onbld/lib/python2.6
 dir path=opt/onbld/lib/python2.6/onbld
 dir path=opt/onbld/lib/python2.6/onbld/Checks
@@ -148,43 +144,6 @@
 file path=opt/onbld/lib/$(ARCH)/libdwarf.so.1
 file path=opt/onbld/lib/perl/onbld_elfmod.pm
 file path=opt/onbld/lib/perl/onbld_elfmod_vertype.pm
-file path=opt/onbld/lib/python2.4/onbld/Checks/CStyle.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/CStyle.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/Cddl.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/Cddl.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/CmtBlk.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/CmtBlk.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/Comments.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/Comments.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/Copyright.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/Copyright.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/DbLookups.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/DbLookups.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/HdrChk.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/HdrChk.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/JStyle.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/JStyle.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/Keywords.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/Keywords.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/Mapfile.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/Mapfile.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/ProcessCheck.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/ProcessCheck.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/__init__.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Checks/__init__.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Scm/Backup.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Scm/Backup.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Scm/Version.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Scm/Version.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Scm/WorkSpace.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Scm/WorkSpace.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Scm/__init__.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/Scm/__init__.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/__init__.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/__init__.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/hgext/__init__.py mode=0444
-file path=opt/onbld/lib/python2.4/onbld/hgext/__init__.pyc mode=0444
-file path=opt/onbld/lib/python2.4/onbld/hgext/cdm.py mode=0444
 file path=opt/onbld/lib/python2.6/onbld/Checks/CStyle.py mode=0444
 file path=opt/onbld/lib/python2.6/onbld/Checks/CStyle.pyc mode=0444
 file path=opt/onbld/lib/python2.6/onbld/Checks/Cddl.py mode=0444
@@ -265,10 +224,8 @@
 license usr/src/tools/onbld/THIRDPARTYLICENSE \
     license=usr/src/tools/onbld/THIRDPARTYLICENSE
 link path=opt/onbld/bin/git-nits target=git-pbchk
-link path=opt/onbld/lib/python target=python2.4
+link path=opt/onbld/lib/python target=python2.6
 link path=opt/onbld/man/man1/git-nits.1 target=git-pbchk.1
-# DbLookups.py requires elementtree
-depend fmri=library/python-2/python-extra-24 type=require
 # webrev(1) requires ps2pdf
 depend fmri=print/filter/ghostscript type=require
 # hgsetup(1) uses check-hostname(1) and nightly sendmail(1M)
--- old/usr/src/tools/Makefile	Tue Sep 11 12:46:16 2012
+++ new/usr/src/tools/Makefile	Tue Sep 11 12:46:16 2012
@@ -90,11 +90,6 @@
 	$(ROOTONBLD)/lib \
 	$(ROOTONBLD)/lib/$(MACH) \
 	$(ROOTONBLD)/lib/perl \
-	$(ROOTONBLD)/lib/python2.4 \
-	$(ROOTONBLD)/lib/python2.4/onbld \
-	$(ROOTONBLD)/lib/python2.4/onbld/Checks \
-	$(ROOTONBLD)/lib/python2.4/onbld/hgext \
-	$(ROOTONBLD)/lib/python2.4/onbld/Scm \
 	$(ROOTONBLD)/lib/python2.6 \
 	$(ROOTONBLD)/lib/python2.6/onbld \
 	$(ROOTONBLD)/lib/python2.6/onbld/Checks \
@@ -146,6 +141,6 @@
 	$(INS.dir)
 
 $(ROOTONBLDLIBPY): $(ROOTDIRS)
-	$(RM) -r $@; $(SYMLINK) python2.4 $@
+	$(RM) -r $@; $(SYMLINK) python2.6 $@
 
 FRC:
--- old/usr/src/tools/Makefile.python	Tue Sep 11 12:46:17 2012
+++ new/usr/src/tools/Makefile.python	Tue Sep 11 12:46:16 2012
@@ -63,24 +63,18 @@
 
 PYFILES = $(PYSRCS) $(PYOBJS)
 
-ROOTPYDIR_24 = $(PYTOPDIR)/python2.4/$(PYMODDIR)
-ROOTPYFILES_24 = $(PYFILES:%=$(ROOTPYDIR_24)/%)
-
 ROOTPYDIR_26 = $(PYTOPDIR)/python2.6/$(PYMODDIR)
 ROOTPYFILES_26	= $(PYFILES:%=$(ROOTPYDIR_26)/%)
 
-ROOTPYFILES = $(ROOTPYFILES_24) $(ROOTPYFILES_26)
+ROOTPYFILES = $(ROOTPYFILES_26)
 $(ROOTPYFILES) := FILEMODE = 0444
 
-PYVERSDIRS = python2.4 python2.6
+PYVERSDIRS = python2.6
 
-PY24OBJS = $(PYOBJS:%=python2.4/%)
-$(PY24OBJS) := PYTHON = $(PYTHON_24)
-
 PY26OBJS = $(PYOBJS:%=python2.6/%)
 $(PY26OBJS) := PYTHON = $(PYTHON_26)
 
-PYVERSOBJS = $(PY24OBJS) $(PY26OBJS)
+PYVERSOBJS = $(PY26OBJS)
 
 CLOBBERFILES += $(PYVERSOBJS)
 CLOBBERDIRS += $(PYVERSDIRS)
@@ -87,19 +81,16 @@
 
 .KEEP_STATE:
 
-python2.4/%.pyc python2.6/%.pyc: %.py
+python2.6/%.pyc: %.py
 	@[ -d $(@D) ] || mkdir $(@D)
 	$(RM) $@
 	$(PYTHON) -mpy_compile $<
 	$(MV) $(*).pyc $@
 
-$(ROOTPYDIR_24)/%.pyc: python2.4/%.pyc
-	$(INS.pyfile)
-
 $(ROOTPYDIR_26)/%.pyc: python2.6/%.pyc
 	$(INS.pyfile)
 
-$(ROOTPYDIR_24)/%.py $(ROOTPYDIR_26)/%.py: %.py
+$(ROOTPYDIR_26)/%.py: %.py
 	$(INS.pyfile)
 
 pyclobber:
--- old/usr/src/tools/Makefile.tools	Tue Sep 11 12:46:18 2012
+++ new/usr/src/tools/Makefile.tools	Tue Sep 11 12:46:17 2012
@@ -38,7 +38,6 @@
 ROOTONBLDLIBMACH=	$(ROOTONBLD)/lib/$(MACH)
 ROOTONBLDLIBPERL=	$(ROOTONBLD)/lib/perl
 ROOTONBLDLIBPY=		$(ROOTONBLD)/lib/python
-ROOTONBLDLIBPY_24=	$(ROOTONBLD)/lib/python2.4
 ROOTONBLDLIBPY_26=	$(ROOTONBLD)/lib/python2.6
 ROOTONBLDENV=		$(ROOTONBLD)/env
 ROOTONBLDGK=		$(ROOTONBLD)/gk
--- old/usr/src/tools/scripts/cddlchk.py	Tue Sep 11 12:46:18 2012
+++ new/usr/src/tools/scripts/cddlchk.py	Tue Sep 11 12:46:18 2012
@@ -1,4 +1,4 @@
-#!/usr/bin/python2.4
+#!/usr/bin/python2.6
 #
 # CDDL HEADER START
 #
--- old/usr/src/tools/scripts/copyrightchk.py	Tue Sep 11 12:46:19 2012
+++ new/usr/src/tools/scripts/copyrightchk.py	Tue Sep 11 12:46:19 2012
@@ -1,4 +1,4 @@
-#!/usr/bin/python2.4
+#!/usr/bin/python2.6
 #
 # CDDL HEADER START
 #
--- old/usr/src/tools/scripts/git-pbchk.py	Tue Sep 11 12:46:20 2012
+++ new/usr/src/tools/scripts/git-pbchk.py	Tue Sep 11 12:46:19 2012
@@ -1,4 +1,4 @@
-#!/usr/bin/python2.4
+#!/usr/bin/python2.6
 #
 #  This program is free software; you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License version 2
--- old/usr/src/tools/scripts/hdrchk.py	Tue Sep 11 12:46:21 2012
+++ new/usr/src/tools/scripts/hdrchk.py	Tue Sep 11 12:46:20 2012
@@ -1,4 +1,4 @@
-#!/usr/bin/python2.4
+#!/usr/bin/python2.6
 #
 # CDDL HEADER START
 #
--- old/usr/src/tools/scripts/hg-active.py	Tue Sep 11 12:46:22 2012
+++ new/usr/src/tools/scripts/hg-active.py	Tue Sep 11 12:46:21 2012
@@ -1,4 +1,4 @@
-#!/usr/bin/python2.4
+#!/usr/bin/python2.6
 #
 #  This program is free software; you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License version 2
--- old/usr/src/tools/scripts/mapfilechk.py	Tue Sep 11 12:46:22 2012
+++ new/usr/src/tools/scripts/mapfilechk.py	Tue Sep 11 12:46:22 2012
@@ -1,4 +1,4 @@
-#!/usr/bin/python2.4
+#!/usr/bin/python2.6
 #
 # CDDL HEADER START
 #
